<?php
/*---------------------------------------------------+
| Unauthenticated Users Panel
| PHP-Fusion (c) 2005 Nick Jones
+----------------------------------------------------+
| Copyright (c) 2006 Adnan Ahmed
| info@theadnanahmed.com
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

//Set Appropriate locale, if none found use English as default
if (file_exists(INFUSIONS."unauthenticated_users_panel/locale/".$settings['locale'].".php")) { 
	include INFUSIONS."unauthenticated_users_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."unauthenticated_users_panel/locale/English.php";
}


// Infusion general information
$inf_title = $locale['uau001'];
$inf_description = "Allow you to resend the email activation email, or manually activate or delete the user.";
$inf_version = "1.13";
$inf_developer = "AdnanAhmed";
$inf_email = "info@theadnanahmed.com";
$inf_weburl = "http://www.theadnanahmed.com";

$inf_folder = "unauthenticated_users_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "unauthenticated_users.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 0; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 1; // Number of db tables to delete data from.


$inf_insertdbrow_[1] = "admin VALUES ( '', 'M', 'infusion_panel.gif', '".$locale['uau001']."', '/infusions/unauthenticated_users_panel/unauthenticated_users.php', '2');";




// Uninstall Infusion
$inf_deldbrow_[1] = "admin WHERE admin_title='".$locale['uau001']."' LIMIT 1";

?>
