<?php
/*---------------------------------------------------+
| Unauthenticated Users Panel made for Nick Jones'
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Created by Adnan Ahmed (http://www.theadnanahmed.com)
| info@theadnanahmed.com
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
include BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/admins.php";

if (!checkrights("M") || !defined("iAUTH") || $aid != iAUTH) fallback(BASEDIR."index.php");

//Set Appropriate locale, if none found use English as default
if (file_exists(INFUSIONS."unauthenticated_users_panel/locale/".$settings['locale'].".php")) { 
	include INFUSIONS."unauthenticated_users_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."unauthenticated_users_panel/locale/English.php";
}

opentable($locale['uau001']);

$result = dbquery("SELECT * FROM ".$db_prefix."new_users");
$rows = dbrows($result);

if ($rows != 0) {
echo "<table align='center' cellpadding='1' cellspacing='1' width='100%' class='tb1-border'>";
	//Create Table Header (ie. Top Row)
	echo "<tr>
	<td class=$colour><b>".$locale['uau002']."</b></td>"; //Username
	echo "<td class=$colour><b>".$locale['uau003']."</b></td>"; //User Email
	echo "<td class=$colour><b>".$locale['uau004']."</b></td>"; //Datestamp
	echo "<td class=$colour><b>".$locale['uau005']."</b></td>"; //Options
	echo "</tr>";
	$i = 0;
while ($data = dbarray($result)) {
$cell_colour = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
echo "<tr>";
$user_info = unserialize($data['user_info']);
echo "<td class='$cell_colour'>\n".$user_info['user_name']."</td>\n";
echo "<td class='$cell_colour'>\n".$data['user_email']."</td>\n";
echo "<td class='$cell_colour'>\n".showdate("forumdate", $data['user_datestamp'])."</td>\n";
echo "<td class='$cell_colour'>\n<a href='resend.php".$aidlink."&amp;code=".$data['user_code']."' title='Resend Email'><img src='images/r.gif'></a>  <a href='activate.php?activate=".$data['user_code']."' title='Authenticate'><img src='images/a.gif'></a>  <a href='delete.php".$aidlink."&amp;code=".$data['user_code']."' title='Delete'><img src='images/d.gif'></a></td>\n";

}
echo "</table>";
} else {

echo "<center>".$locale['uau999']."</center>";

}


closetable();


include BASEDIR."footer.php";
?>
